Panduan pembalasan.id
Conversations

Conversations List

GET
/api/v1/accounts/{account_id}/conversations

List all the conversations with pagination

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

assignee_type?string

Filter conversations by assignee type.

status?string

Filter by conversation status.

q?string

Filters conversations with messages containing the search term

inbox_id?integer
team_id?integer
labels?array<string>
page?integer

paginate through conversations

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/accounts/0/conversations"
{
  "data": {
    "meta": {
      "mine_count": 0,
      "unassigned_count": 0,
      "assigned_count": 0,
      "all_count": 0
    },
    "payload": [
      {
        "id": 0,
        "messages": [
          {
            "id": 0,
            "content": "string",
            "account_id": 0,
            "inbox_id": 0,
            "conversation_id": 0,
            "message_type": 0,
            "created_at": 0,
            "updated_at": 0,
            "private": true,
            "status": "sent",
            "source_id": "string",
            "content_type": "text",
            "content_attributes": {},
            "sender_type": "Contact",
            "sender_id": 0,
            "external_source_ids": {},
            "additional_attributes": {},
            "processed_message_content": "string",
            "sentiment": {},
            "conversation": {},
            "attachment": {},
            "sender": {}
          }
        ],
        "account_id": 0,
        "uuid": "string",
        "additional_attributes": {},
        "agent_last_seen_at": 0,
        "assignee_last_seen_at": 0,
        "can_reply": true,
        "contact_last_seen_at": 0,
        "custom_attributes": {},
        "inbox_id": 0,
        "labels": [
          "string"
        ],
        "muted": true,
        "snoozed_until": 0,
        "status": "open",
        "created_at": 0,
        "updated_at": 0,
        "timestamp": 0,
        "first_reply_created_at": 0,
        "unread_count": 0,
        "last_non_activity_message": {
          "id": 0,
          "content": "string",
          "account_id": 0,
          "inbox_id": 0,
          "conversation_id": 0,
          "message_type": 0,
          "created_at": 0,
          "updated_at": 0,
          "private": true,
          "status": "sent",
          "source_id": "string",
          "content_type": "text",
          "content_attributes": {},
          "sender_type": "Contact",
          "sender_id": 0,
          "external_source_ids": {},
          "additional_attributes": {},
          "processed_message_content": "string",
          "sentiment": {},
          "conversation": {},
          "attachment": {},
          "sender": {}
        },
        "last_activity_at": 0,
        "priority": "string",
        "waiting_since": 0,
        "sla_policy_id": 0,
        "applied_sla": {},
        "sla_events": [
          {}
        ],
        "meta": {
          "sender": {
            "additional_attributes": {},
            "availability_status": "string",
            "email": "string",
            "id": 0,
            "name": "string",
            "phone_number": "string",
            "blocked": true,
            "identifier": "string",
            "thumbnail": "string",
            "custom_attributes": {},
            "last_activity_at": 0,
            "created_at": 0
          },
          "channel": "string",
          "assignee": {
            "id": 0,
            "access_token": "string",
            "account_id": 0,
            "available_name": "string",
            "avatar_url": "string",
            "confirmed": true,
            "display_name": "string",
            "message_signature": "string",
            "email": "string",
            "hmac_identifier": "string",
            "inviter_id": 0,
            "name": "string",
            "provider": "string",
            "pubsub_token": "string",
            "role": "agent",
            "ui_settings": {},
            "uid": "string",
            "type": "string",
            "custom_attributes": {},
            "accounts": [
              {
                "id": 0,
                "name": "string",
                "status": "string",
                "active_at": "2019-08-24T14:15:22Z",
                "role": "administrator",
                "permissions": [
                  "string"
                ],
                "availability": "string",
                "availability_status": "string",
                "auto_offline": true,
                "custom_role_id": 0,
                "custom_role": {}
              }
            ]
          },
          "hmac_verified": true
        }
      }
    ]
  }
}
{
  "description": "string",
  "errors": [
    {
      "field": "string",
      "message": "string",
      "code": "string"
    }
  ]
}